> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Get Inquiry by Room > Permission required: `view-l-room` ### Changelog | Version | Description | | ---------------- | ------------| |2.4.0 | Added | ## OpenAPI ````json GET /api/v1/livechat/inquiries.getOne { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Omnichannel" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Omnichannel Users" }, { "name": "Omnichannel Agents" }, { "name": "Omnichannel Monitors" }, { "name": "Omnichannel Visitors" }, { "name": "Omnichannel Contacts" }, { "name": "Omnichannel Rooms" }, { "name": "Omnichannel Departments" }, { "name": "Omnichannel Custom Fields" }, { "name": "Omnichannel Business Hours" }, { "name": "Omnichannel Priorities" }, { "name": "Omnichannel Tags" }, { "name": "Omnichannel Units" }, { "name": "SLA Policies" }, { "name": "Canned Responses" }, { "name": "Omnichannel Transcript" }, { "name": "Omnichannel Statistics" }, { "name": "Omnichannel Agent Stats" }, { "name": "Omnichannel Dashboards" }, { "name": "Reports" }, { "name": "Omnichannel Inquiries" }, { "name": "Omnichannel Webhooks" }, { "name": "Livechat" }, { "name": "Livechat Appearance" }, { "name": "Livechat Triggers" }, { "name": "Livechat Messages" }, { "name": "Livechat Page Visited" } ], "paths": { "/api/v1/livechat/inquiries.getOne": { "get": { "tags": [ "Omnichannel Inquiries" ], "summary": "Get Inquiry by Room", "description": "Permission required: `view-l-room`\n\n### Changelog\n| Version | Description |\n| ---------------- | ------------|\n|2.4.0 | Added |", "operationId": "get-api-v1-livechat-inquiries.getOne", "parameters": [ { "$ref": "#/components/parameters/AuthToken" }, { "$ref": "#/components/parameters/UserId" }, { "name": "roomId", "in": "query", "description": "The room ID.", "required": true, "schema": { "type": "string" } } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "inquiry": { "type": "object", "properties": { "_id": { "type": "string" }, "rid": { "type": "string" }, "name": { "type": "string" }, "ts": { "type": "string" }, "message": { "type": "string" }, "status": { "type": "string" }, "v": { "type": "object", "properties": { "_id": { "type": "string" }, "username": { "type": "string" }, "token": { "type": "string" }, "status": { "type": "string" }, "activity": { "type": "array", "items": { "type": "string" } } } }, "t": { "type": "string" }, "priorityWeight": { "type": "integer" }, "estimatedWaitingTimeQueue": { "type": "integer" }, "source": { "type": "object", "properties": { "type": { "type": "string" } } }, "_updatedAt": { "type": "string" }, "lastMessage": { "type": "object", "properties": { "_id": { "type": "string" }, "rid": { "type": "string" }, "msg": { "type": "string" }, "ts": { "type": "string" }, "u": { "type": "object", "properties": { "_id": { "type": "string" }, "username": { "type": "string" }, "name": { "type": "string" } } }, "_updatedAt": { "type": "string" }, "urls": { "type": "array", "items": { "type": "object" } }, "mentions": { "type": "array", "items": { "type": "object" } }, "channels": { "type": "array", "items": { "type": "object" } }, "md": { "type": "array", "items": { "type": "object", "properties": { "type": { "type": "string" }, "value": { "type": "array", "items": { "type": "object", "properties": { "type": { "type": "string" }, "value": { "type": "string" } } } } } } } } }, "takenAt": { "type": "string" } } }, "success": { "type": "boolean" } } }, "examples": { "Success Example": { "value": { "inquiry": { "_id": "6560940c6a1ef5b1a2bf9324", "rid": "yy8SmYKfHQ6GZdnJp", "name": "kookie", "ts": "2023-11-24T12:16:12.37Z", "message": "", "status": "taken", "v": { "_id": "656090576a1ef5b1a2bf919b", "username": "guest-51", "token": "38cc8c765bf77e943f6e4319c5891f6c04", "status": "online", "activity": [ "2023-11" ] }, "t": "l", "priorityWeight": 99, "estimatedWaitingTimeQueue": 9999999, "source": { "type": "widget" }, "_updatedAt": "2023-11-24T12:27:43.852Z", "lastMessage": { "_id": "Hjwmd7bBZTiEXrywn", "rid": "yy8SmYKfHQ6GZdnJp", "msg": "hello", "ts": "2023-11-24T12:27:43.474Z", "u": { "_id": "CkCPNcvsvCDfmWLqC", "username": "test.cat", "name": "testCat" }, "_updatedAt": "2023-11-24T12:27:43.82Z", "urls": [], "mentions": [], "channels": [], "md": [ { "type": "PARAGRAPH", "value": [ { "type": "PLAIN_TEXT", "value": "hello" } ] } ] }, "takenAt": "2023-11-24T12:18:19.012Z" }, "success": true } } } } } }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" }, "errorType": { "type": "string" } } }, "examples": { "Example 1": { "value": { "success": false, "error": "must have required property 'roomId' [error-invalid-params]", "errorType": "error-invalid-params" } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" }, "403": { "$ref": "#/components/responses/permissionError" } } } } }, "components": { "parameters": { "AuthToken": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" } }, "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "success": false, "error": "You must be logged in to do this." } } } } } }, "permissionError": { "description": "Forbidden", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" }, "errorType": { "type": "string" } } }, "examples": { "Permission Error": { "value": { "success": false, "error": "User does not have the permissions required for this action", "errorType": "error-forbidden" } } } } } } } } } ````